* [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nessus-client/
@ 2016-07-13 19:29 Anthony G. Basile
0 siblings, 0 replies; 3+ messages in thread
From: Anthony G. Basile @ 2016-07-13 19:29 UTC (permalink / raw
To: gentoo-commits
commit: d8c0ed452886ae274c3e2a8462059fc29ee8922f
Author: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 13 19:23:10 2016 +0000
Commit: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Wed Jul 13 19:23:10 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8c0ed45
net-analyzer/nessus-client: add libressl support and bump to EAPI=5
Package-Manager: portage-2.2.28
.../nessus-client/nessus-client-1.0.2-r2.ebuild | 58 ++++++++++++++++++++++
1 file changed, 58 insertions(+)
diff --git a/net-analyzer/nessus-client/nessus-client-1.0.2-r2.ebuild b/net-analyzer/nessus-client/nessus-client-1.0.2-r2.ebuild
new file mode 100644
index 0000000..c9d6315
--- /dev/null
+++ b/net-analyzer/nessus-client/nessus-client-1.0.2-r2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils toolchain-funcs
+
+MY_PN=NessusClient
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="A client for the Nessus vulnerability scanner"
+HOMEPAGE="http://www.nessus.org/"
+SRC_URI="mirror://gentoo/${MY_P}.tar.gz
+ mirror://gentoo/nessus-client.png.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="libressl doc"
+
+RDEPEND="!net-analyzer/nessus-core
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ >=x11-libs/gtk+-2.8.8:2"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-text/htmldoc )"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-make.patch
+ sed -i \
+ -e "/NESSUS_DOCDIR/s|/doc/NessusClient|/doc/${PF}|g" \
+ nessus.tmpl.in || die
+}
+
+src_configure() {
+ tc-export CC
+ econf
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc CHANGES README_SSL VERSION
+
+ doicon "${WORKDIR}"/${PN}.png
+ make_desktop_entry NessusClient "Nessus Client" nessus-client "Network"
+}
+
+pkg_postinst() {
+ if ! use doc; then
+ elog "If you do not have documentation installed, nessus-client"
+ elog "will complain. To install documentation, please emerge with"
+ elog "the doc useflag set. Beware that it will emerge app-text/htmldoc,"
+ elog "a big package."
+ fi
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nessus-client/
@ 2018-03-13 22:26 Thomas Deutschmann
0 siblings, 0 replies; 3+ messages in thread
From: Thomas Deutschmann @ 2018-03-13 22:26 UTC (permalink / raw
To: gentoo-commits
commit: 990b52a5d21933728809becd1eddfdab69fd205c
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 13 22:15:06 2018 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Mar 13 22:25:51 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=990b52a5
net-analyzer/nessus-client: x86 stable (bug #648390)
Package-Manager: Portage-2.3.24, Repoman-2.3.6
net-analyzer/nessus-client/nessus-client-1.0.2-r2.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/net-analyzer/nessus-client/nessus-client-1.0.2-r2.ebuild b/net-analyzer/nessus-client/nessus-client-1.0.2-r2.ebuild
index 92cbf384452..f7bdb523405 100644
--- a/net-analyzer/nessus-client/nessus-client-1.0.2-r2.ebuild
+++ b/net-analyzer/nessus-client/nessus-client-1.0.2-r2.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://gentoo/${MY_P}.tar.gz
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 ~x86"
+KEYWORDS="amd64 x86"
IUSE="libressl doc"
RDEPEND="!net-analyzer/nessus-core
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nessus-client/
@ 2018-03-16 20:45 Pacho Ramos
0 siblings, 0 replies; 3+ messages in thread
From: Pacho Ramos @ 2018-03-16 20:45 UTC (permalink / raw
To: gentoo-commits
commit: f7bd7412f4ae6afab2e23e8fd26a55f819dce8df
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 16 20:37:24 2018 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri Mar 16 20:42:39 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7bd7412
net-analyzer/nessus-client: Drop old
Package-Manager: Portage-2.3.24, Repoman-2.3.6
.../nessus-client/nessus-client-1.0.2-r1.ebuild | 56 ----------------------
1 file changed, 56 deletions(-)
diff --git a/net-analyzer/nessus-client/nessus-client-1.0.2-r1.ebuild b/net-analyzer/nessus-client/nessus-client-1.0.2-r1.ebuild
deleted file mode 100644
index 52a9411efeb..00000000000
--- a/net-analyzer/nessus-client/nessus-client-1.0.2-r1.ebuild
+++ /dev/null
@@ -1,56 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=2
-inherit eutils toolchain-funcs
-
-MY_PN=NessusClient
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="A client for the Nessus vulnerability scanner"
-HOMEPAGE="http://www.nessus.org/"
-SRC_URI="mirror://gentoo/${MY_P}.tar.gz
- mirror://gentoo/nessus-client.png.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="x86"
-IUSE="doc"
-
-RDEPEND="!net-analyzer/nessus-core
- dev-libs/openssl
- >=x11-libs/gtk+-2.8.8:2"
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- doc? ( app-text/htmldoc )"
-
-S=${WORKDIR}/${MY_P}
-
-src_prepare() {
- epatch "${FILESDIR}"/${P}-make.patch
- sed -i \
- -e "/NESSUS_DOCDIR/s|/doc/NessusClient|/doc/${PF}|g" \
- nessus.tmpl.in || die
-}
-
-src_configure() {
- tc-export CC
- econf
-}
-
-src_install() {
- emake DESTDIR="${D}" install || die
- dodoc CHANGES README_SSL VERSION
-
- doicon "${WORKDIR}"/${PN}.png
- make_desktop_entry NessusClient "Nessus Client" nessus-client "Network"
-}
-
-pkg_postinst() {
- if ! use doc; then
- elog "If you do not have documentation installed, nessus-client"
- elog "will complain. To install documentation, please emerge with"
- elog "the doc useflag set. Beware that it will emerge app-text/htmldoc,"
- elog "a big package."
- fi
-}
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2018-03-16 20:45 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-03-16 20:45 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nessus-client/ Pacho Ramos
-- strict thread matches above, loose matches on Subject: below --
2018-03-13 22:26 Thomas Deutschmann
2016-07-13 19:29 Anthony G. Basile
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox